import { Dispatch, IAdapter, JSONObject } from './adapter';
export declare namespace FigmaPluginAdapter {
    /**
     * Adapter for Figma plugin sandbox environment
     */
    class SandboxAdapter implements IAdapter {
        debugging?: boolean;
        private readonly _namespace;
        private _attached?;
        /**
         * Create SandboxAdapter instance
         * @param ns Namespace
         */
        constructor(ns: string);
        attach(dispatch: Dispatch): void;
        detach(): void;
        send(data: JSONObject): void;
    }
    /**
     * Adapter for Figma plugin browser UI environment
     */
    class BrowserAdapter implements IAdapter {
        debugging?: boolean;
        private readonly _namespace;
        private _attached?;
        /**
         * Create BrowserAdapter instance
         * @param ns Namespace
         */
        constructor(ns: string);
        attach(dispatch: Dispatch): void;
        detach(): void;
        send(data: JSONObject): void;
    }
}
