import { Dispatch, IAdapter, JSONObject } from './adapter';
export declare class WindowAdapter implements IAdapter {
    debugging?: boolean;
    private readonly _target;
    private readonly _self;
    private readonly _namespace;
    private _attached?;
    /**
     * Create WindowAdapter instance
     * @param ns Namespace
     * @param target Message target window object
     */
    constructor(ns: string, target: Window);
    /**
     * Create WindowAdapter instance
     * @param ns Namespace
     * @param target Message target window object
     * @param self Self window object
     */
    constructor(ns: string, target: Window, self: Window);
    /**
     * Create WindowAdapter instance
     * @param ns Namespace
     * @param target Message target window object
     * @param self Self window object
     */
    constructor(ns: string, target: Window, self: Window);
    attach(dispatch: Dispatch): void;
    detach(): void;
    send(data: JSONObject): void;
}
